%define version 0.80
%define name perl-MP3-Info
%define real_name MP3-Info
%define prefix %{_prefix}

Summary: Perl module to manipulate / fetch info from MP3 audio files
Name: %{name}
Version: %{version}
Release: 1mdk
Copyright: GPL
Group: Development/Perl
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/MPEG/%{real_name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: perl-MPEG-MP3Info

%description
Manipulate / fetch info from MP3 audio files : winamp genres, mp3tag, mp3info.

A wrapper module is included so scripts calling MPEG::MP3Info will still work.

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT/%{prefix}"
bzip2 -9f $RPM_BUILD_ROOT%{prefix}/lib/perl5/man/man3/*.3

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/*/auto/*
/usr/lib/perl5/site_perl/*/*/[A-Z]*
/usr/lib/perl5/man/*/*

%changelog
* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-1mdk
- 0.80 with new name (obsoletes perl-MPEG-MP3Info)
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- typo in description

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.
